<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in property package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in property package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Property',
    'names' => 'Properties',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Properties',
        'sub' => 'Properties'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status'              => ['Published','Pending','Draft'],
            'published'           => ['Yes','No'],
            'property_for'        => ['Rent','Sale','PG','Lease'],
            'label'               => ['Hot Deal','Open House'],
            'pay_frequency'       => ['Monthly','Yearly'],
            'area_type'           => ['CEN','ACR','Sq ft'],
            'email_alert'         => ['Yes','No'],
            'visibility'          => ['prime','higher','good','standard'],
            'video_embed'         => ['Yes','No'],
            'payment_status'      => ['Paid','Unpaid'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'district_id'                => 'Please enter district id',
        'city_id'                    => 'Please enter city id',
        'location_id'                => 'Please enter location id',
        'category_id'                => 'Please enter category id',
        'sort_order'                 => 'Please enter sort order',
        'code'                       => 'Please enter code',
        'title'                      => 'Please enter title',
        'slug'                       => 'Please enter slug',
        'description'                => 'Please enter description',
        'status'                     => 'Please select status',
        'published'                  => 'Please select published',
        'publish_status'             => 'Please enter publish status',
        'year'                       => 'Please select year',
        'property_for'               => 'Please select property for',
        'label'                      => 'Please select label',
        'price'                      => 'Please enter price',
        'plan_name'                  => 'Please enter plan name',
        'amount'                     => 'Please enter amount',
        'pay_frequency'              => 'Please select pay frequency',
        'images'                     => 'Please enter images',
        'upload_folder'              => 'Please enter upload folder',
        'area'                       => 'Please enter area',
        'size_prefix'                => 'Please enter size prefix',
        'land_area_size_prefix'        => 'Please enter land area size prefix',
        'area_type'                  => 'Please select area type',
        'owner_type'                 => 'Please enter owner type',
        'bedrooms'                   => 'Please enter bedrooms',
        'bathrooms'                  => 'Please enter bathrooms',
        'garages'                    => 'Please enter garages',
        'garage_size'                => 'Please enter garage size',
        'water_source'               => 'Please enter water source',
        'furnishing'                 => 'Please enter furnishing',
        'no_balcony'                 => 'Please enter no balcony',
        'address'                    => 'Please enter address',
        'neighbourhood'              => 'Please enter neighbourhood',
        'zip_code'                   => 'Please enter zip code',
        'locality'                   => 'Please enter locality',
        'features'                   => 'Please enter features',
        'slider'                     => 'Please enter slider',
        'featured'                   => 'Please enter featured',
        'hotprop_order'              => 'Please enter hotprop order',
        'premium'                    => 'Please enter premium',
        'email_alert'                => 'Please select email alert',
        'photo_count'                => 'Please enter photo count',
        'validity'                   => 'Please enter validity',
        'visibility'                 => 'Please select visibility',
        'video_embed'                => 'Please select video embed',
        'payment_status'             => 'Please select payment status',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'map_embed'                  => 'Please enter map embed',
        'posting_type'               => 'Please enter posting type',
        'listing_plan'               => 'Please enter listing plan',
        'plan_visibility'            => 'Please enter plan visibility',
        'contact_mail'               => 'Please enter contact mail',
        'parking_no'                 => 'Please enter parking no',
        'website'                    => 'Please enter website',
        'phone'                      => 'Please enter phone',
        'mobile'                     => 'Please enter mobile',
        'contact_name'               => 'Please enter contact name',
        'region'                     => 'Please enter region',
        'category_id1'               => 'Please enter category id1',
        'prop_age'                   => 'Please enter prop age',
        'prop_status'                => 'Please enter prop status',
        'overview'                   => 'Please enter overview',
        'video'                      => 'Please enter video',
        'video_status'               => 'Please enter video status',
        'facilities'                 => 'Please enter facilities',
        'landmarks'                  => 'Please enter landmarks',
        'sellunit'                   => 'Please enter sellunit',
        'price_negotiable'           => 'Please enter price negotiable',
        'admin_status'               => 'Please enter admin status',
        'paid_status'                => 'Please enter paid status',
        'direct_contact'             => 'Please enter direct contact',
        'posted_date'                => 'Please select posted date',
        'expire_date'                => 'Please select expire date',
        'manage_type'                => 'Please enter manage type',
        'buildup_area'               => 'Please enter buildup area',
        'buildup_unit'               => 'Please enter buildup unit',
        'plot_area'                  => 'Please enter plot area',
        'plot_unit'                  => 'Please enter plot unit',
        'land_area'                  => 'Please enter land area',
        'land_unit'                  => 'Please enter land unit',
        'meta_title'                 => 'Please enter meta title',
        'meta_keyword'               => 'Please enter meta keyword',
        'meta_description'           => 'Please enter meta description',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'city1'                      => 'Please enter city1',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'district_id'                => 'District id',
        'city_id'                    => 'City id',
        'location_id'                => 'Location id',
        'category_id'                => 'Category id',
        'sort_order'                 => 'Sort order',
        'code'                       => 'Code',
        'title'                      => 'Title',
        'slug'                       => 'Slug',
        'description'                => 'Description',
        'status'                     => 'Status',
        'published'                  => 'Published',
        'publish_status'             => 'Publish status',
        'year'                       => 'Year',
        'property_for'               => 'Property for',
        'label'                      => 'Label',
        'price'                      => 'Price',
        'plan_name'                  => 'Plan name',
        'amount'                     => 'Amount',
        'pay_frequency'              => 'Pay frequency',
        'images'                     => 'Images',
        'upload_folder'              => 'Upload folder',
        'area'                       => 'Area',
        'size_prefix'                => 'Size prefix',
        'land_area_size_prefix'        => 'Land area size prefix',
        'area_type'                  => 'Area type',
        'owner_type'                 => 'Owner type',
        'bedrooms'                   => 'Bedrooms',
        'bathrooms'                  => 'Bathrooms',
        'garages'                    => 'Garages',
        'garage_size'                => 'Garage size',
        'water_source'               => 'Water source',
        'furnishing'                 => 'Furnishing',
        'no_balcony'                 => 'No balcony',
        'address'                    => 'Address',
        'neighbourhood'              => 'Neighbourhood',
        'zip_code'                   => 'Zip code',
        'locality'                   => 'Locality',
        'features'                   => 'Features',
        'slider'                     => 'Slider',
        'featured'                   => 'Featured',
        'hotprop_order'              => 'Hotprop order',
        'premium'                    => 'Premium',
        'email_alert'                => 'Email alert',
        'photo_count'                => 'Photo count',
        'validity'                   => 'Validity',
        'visibility'                 => 'Visibility',
        'video_embed'                => 'Video embed',
        'payment_status'             => 'Payment status',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'map_embed'                  => 'Map embed',
        'posting_type'               => 'Posting type',
        'listing_plan'               => 'Listing plan',
        'plan_visibility'            => 'Plan visibility',
        'contact_mail'               => 'Contact mail',
        'parking_no'                 => 'Parking no',
        'website'                    => 'Website',
        'phone'                      => 'Phone',
        'mobile'                     => 'Mobile',
        'contact_name'               => 'Contact name',
        'region'                     => 'Region',
        'category_id1'               => 'Category id1',
        'prop_age'                   => 'Prop age',
        'prop_status'                => 'Prop status',
        'overview'                   => 'Overview',
        'video'                      => 'Video',
        'video_status'               => 'Video status',
        'facilities'                 => 'Facilities',
        'landmarks'                  => 'Landmarks',
        'sellunit'                   => 'Sellunit',
        'price_negotiable'           => 'Price negotiable',
        'admin_status'               => 'Admin status',
        'paid_status'                => 'Paid status',
        'direct_contact'             => 'Direct contact',
        'posted_date'                => 'Posted date',
        'expire_date'                => 'Expire date',
        'manage_type'                => 'Manage type',
        'buildup_area'               => 'Buildup area',
        'buildup_unit'               => 'Buildup unit',
        'plot_area'                  => 'Plot area',
        'plot_unit'                  => 'Plot unit',
        'land_area'                  => 'Land area',
        'land_unit'                  => 'Land unit',
        'meta_title'                 => 'Meta title',
        'meta_keyword'               => 'Meta keyword',
        'meta_description'           => 'Meta description',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'city1'                      => 'City1',
    ],
];
