<?php

namespace Realestate\Property\Forms;

use Litepie\Form\FormInterpreter;

class Category extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('property/category/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('property/category/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('property/category'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('property/category'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('property/category'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('property/category'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('property::property.label.name'),
                "placeholder" => trans('property::property.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('property::property.label.created_at'),
            'name' => trans('property::property.label.name'),
            'status' => trans('property::property.label.status'),
        ];
        self::$groups = [
            'main' => trans('property::property.groups.main'),
            'details' => trans('property::property.groups.details'),
            'images' => trans('property::property.groups.images'),
            'settings' => trans('property::property.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('property::property.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('property::property.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('property::property.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('property::property.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('property::category.label.code'),
                "placeholder" => trans('property::category.placeholder.code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('property::category.label.name'),
                "placeholder" => trans('property::category.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
