<?php

namespace Realestate\Property\Repositories\Eloquent;

use Realestate\Property\Interfaces\PropertyRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Realestate\Property\Repositories\Eloquent\Presenters\PropertyItemPresenter;


class PropertyRepository extends BaseRepository implements PropertyRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('realestate.property.property.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('realestate.property.property.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return PropertyItemPresenter::class;
    }
}
